Bug 77357 - X logs you out..
X logs you out..
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-05 14:30 EST by Matt N
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-06 17:53:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt N 2002-11-05 14:30:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.8-26mdk i686)

Description of problem:
I recently installed redhat 7.3 on a dual processor machine ( L440GX+
motherboard ).
If I leave myself logged in via X/gnome and leave some jobs running I come in
the next morning to find the screen displaying the "welcome to redhat linux -
please enter your username" splash.  If you look in /var/log/messages around
this time you see:
Nov  6 05:03:31 control gnome-name-server[5467]: input condition is: 0x11,
exiting
Nov  6 05:03:31 control gdm(pam_unix)[4050]: session closed for user spock
Nov  6 05:03:31 control gdm[4050]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
Nov  6 05:03:32 control modprobe: modprobe: Can't locate module
char-major-10-134

I have updated the bios to the most recent version available from intel.  I've
installed the 4.2.1 Xfree release from XFree86 and it still does it. 

It seems to be related somehow to the screensaver package as if I disable screen
savers it doesn't do it.  However everytime I leave the gnome desktop setup for
"random screensaver" it dies a most horrible death taking my desktop with it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. log in via X
2. configure screensaver for random screensaver
3. 
	

Actual Results:  Wait a few hours after you perform the above and you get logged
out and the login screen gets displayed.

Expected Results:  I shouldn't be logged out.  I run some jobs that take a while
to complete and I'd rather their Xterms didn't get killed.

Additional info:

Here is the contents of my /var/log/Xfree86.log file.


XFree86 Version 4.2.1 / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 3 September 2002
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.7-10custom i686 [ELF] 
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Wed Nov  6 05:03:32 2002
(==) Using config file: "/etc/X11/XF86Config-4"
(==) ServerLayout "Anaconda Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Cirrus Logic GD5480"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
XFree86.0.log 
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--)using VT number 7

(WW) Open APM failed (/dev/apm_bios) (No such device)
(II) Module ABI versions:
        XFree86 ANSI C Emulation: 0.1
        XFree86 Video Driver: 0.5
        XFree86 XInput driver : 0.3
        XFree86 Server Extension : 0.1
        XFree86 Font Renderer : 0.3
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.5
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,71a0 card 0000,0000 rev 00 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,71a1 card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:0b:0: chip 13c1,1000 card 13c1,1000 rev 12 class 01,04,00 hdr 00
(II) PCI: 00:0c:0: chip 9005,005f card 9004,0053 rev 00 class 01,00,00 hdr 80
(II) PCI: 00:0c:1: chip 9005,005f card 9004,0053 rev 00 class 01,00,00 hdr 80
(II) PCI: 00:0e:0: chip 8086,1229 card 8086,3000 rev 08 class 02,00,00 hdr 00
(II) PCI: 00:12:0: chip 8086,7110 card 0000,0000 rev 02 class 06,01,00 hdr 80
(II) PCI: 00:12:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80 hdr 00
(II) PCI: 00:12:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:12:3: chip 8086,7113 card 0000,0000 rev 02 class 06,80,00 hdr 00
(II) PCI: 00:14:0: chip 1013,00bc card 1013,00bc rev 23 class 03,00,00 hdr 00
(II) PCI: 01:0f:0: chip 1011,0023 card 0000,0000 rev 06 class 06,04,00 hdr 01
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.5
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
        [0] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]

(II) Bus 0 prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,2), BCTRL: 0x84 (VGA_EN is cleared)
(II) Bus 1 I/O range:
(II) Bus 1 non-prefetchable memory range:
(II) Bus 1 prefetchable memory range:
(II) Bus -1: bridge is at (0:18:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(II) Bus 2: bridge is at (1:15:0), (1,2,2), BCTRL: 0x06 (VGA_EN is cleared)
(II) Bus 2 I/O range:
(II) Bus 2 non-prefetchable memory range:
(II) Bus 2 prefetchable memory range:
(--) PCI:*(0:20:0) Cirrus Logic GD5480 rev 35, Mem @ 0xf6000000/25,
0xf4103000/12
(II) Addressable bus resource ranges are
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
        [1] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
        [0] -1  0xf4000000 - 0xf40fffff (0x100000) MX[B]
        [1] -1  0xf4102000 - 0xf4102fff (0x1000) MX[B]
        [2] -1  0xf8000000 - 0xfbffffff (0x4000000) MX[B]
        [3] -1  0xf4103000 - 0xf4103fff (0x1000) MX[B](B)
        [4] -1  0xf6000000 - 0xf7ffffff (0x2000000) MX[B](B)
        [5] -1  0x00002840 - 0x0000285f (0x20) IX[B]
        [6] -1  0x00002870 - 0x0000287f (0x10) IX[B]
        [7] -1  0x00002800 - 0x0000283f (0x40) IX[B]
        [8] -1  0x00002400 - 0x000024ff (0x100) IX[B]
        [9] -1  0x00002000 - 0x000020ff (0x100) IX[B]
        [10] -1 0x00002860 - 0x0000286f (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0xf4000000 - 0xf40fffff (0x100000) MX[B]
        [1] -1  0xf4102000 - 0xf4102fff (0x1000) MX[B]
        [2] -1  0xf8000000 - 0xfbffffff (0x4000000) MX[B]
        [3] -1  0xf4103000 - 0xf4103fff (0x1000) MX[B](B)
        [4] -1  0xf6000000 - 0xf7ffffff (0x2000000) MX[B](B)
        [5] -1  0x00002840 - 0x0000285f (0x20) IX[B]
        [6] -1  0x00002870 - 0x0000287f (0x10) IX[B]
        [7] -1  0x00002800 - 0x0000283f (0x40) IX[B]
        [8] -1  0x00002400 - 0x000024ff (0x100) IX[B]
        [9] -1  0x00002000 - 0x000020ff (0x100) IX[B]
        [10] -1 0x00002860 - 0x0000286f (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xf4000000 - 0xf40fffff (0x100000) MX[B]
        [6] -1  0xf4102000 - 0xf4102fff (0x1000) MX[B]
        [7] -1  0xf8000000 - 0xfbffffff (0x4000000) MX[B]
        [8] -1  0xf4103000 - 0xf4103fff (0x1000) MX[B](B)
        [9] -1  0xf6000000 - 0xf7ffffff (0x2000000) MX[B](B)
        [10] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
        [11] -1 0x00000000 - 0x000000ff (0x100) IX[B]
        [12] -1 0x00002840 - 0x0000285f (0x20) IX[B]
        [13] -1 0x00002870 - 0x0000287f (0x10) IX[B]
        [14] -1 0x00002800 - 0x0000283f (0x40) IX[B]
        [15] -1 0x00002400 - 0x000024ff (0x100) IX[B]
        [16] -1 0x00002000 - 0x000020ff (0x100) IX[B]
        [17] -1 0x00002860 - 0x0000286f (0x10) IX[B]
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.0.2
        ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.13.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
(II) Module freetype: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.1.10
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.1
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "cirrus"
(II) Loading /usr/X11R6/lib/modules/drivers/cirrus_drv.o
(II) Module cirrus: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 XInput Driver
        ABI class: XFree86 XInput driver, version 0.3
(II) CIRRUS: driver for Cirrus chipsets: CLGD5430, CLGD5434-4, CLGD5434-8,
        CLGD5436, CLGD5446, CLGD5480, CL-GD5462, CL-GD5464, CL-GD5464BD,
        CL-GD5465, CL-GD7548
(II) Primary Device is: PCI 00:14:0
(--) Assigning device section with no busID to primary device
(--) Chipset CLGD5480 found
(II) Loading sub module "cirrus_alpine"
(II) LoadModule: "cirrus_alpine"
(II) Loading /usr/X11R6/lib/modules/drivers/cirrus_alpine.o
(II) Module cirrus_alpine: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.5
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xf4000000 - 0xf40fffff (0x100000) MX[B]
        [6] -1  0xf4102000 - 0xf4102fff (0x1000) MX[B]
        [7] -1  0xf8000000 - 0xfbffffff (0x4000000) MX[B]
        [8] -1  0xf4103000 - 0xf4103fff (0x1000) MX[B](B)
        [9] -1  0xf6000000 - 0xf7ffffff (0x2000000) MX[B](B)
        [10] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
        [11] -1 0x00000000 - 0x000000ff (0x100) IX[B]
        [12] -1 0x00002840 - 0x0000285f (0x20) IX[B]
        [13] -1 0x00002870 - 0x0000287f (0x10) IX[B]
        [14] -1 0x00002800 - 0x0000283f (0x40) IX[B]
        [15] -1 0x00002400 - 0x000024ff (0x100) IX[B]
        [16] -1 0x00002000 - 0x000020ff (0x100) IX[B]
        [17] -1 0x00002860 - 0x0000286f (0x10) IX[B]
(II) resource ranges after probing:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xf4000000 - 0xf40fffff (0x100000) MX[B]
        [6] -1  0xf4102000 - 0xf4102fff (0x1000) MX[B]
        [7] -1  0xf8000000 - 0xfbffffff (0x4000000) MX[B]
        [8] -1  0xf4103000 - 0xf4103fff (0x1000) MX[B](B)
        [9] -1  0xf6000000 - 0xf7ffffff (0x2000000) MX[B](B)
        [10] 0  0x000a0000 - 0x000affff (0x10000) MS[B]
        [11] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [12] 0  0x000b8000 - 0x000bffff (0x8000) MS[B]
        [13] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
        [14] -1 0x00000000 - 0x000000ff (0x100) IX[B]
        [15] -1 0x00002840 - 0x0000285f (0x20) IX[B]
        [16] -1 0x00002870 - 0x0000287f (0x10) IX[B]
        [17] -1 0x00002800 - 0x0000283f (0x40) IX[B]
        [18] -1 0x00002400 - 0x000024ff (0x100) IX[B]
        [19] -1 0x00002000 - 0x000020ff (0x100) IX[B]
        [20] -1 0x00002860 - 0x0000286f (0x10) IX[B]
        [21] 0  0x000003b0 - 0x000003bb (0xc) IS[B]
        [22] 0  0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.5
(II) CIRRUS(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.5
(II) CIRRUS(0): initializing int10
(II) CIRRUS(0): Primary V_BIOS segment is: 0xc000
(**) CIRRUS(0): Depth 16, (--) framebuffer bpp 16
(==) CIRRUS(0): RGB weight 565
(==) CIRRUS(0): Default visual is TrueColor
(==) CIRRUS(0): Using SW cursor
(--) CIRRUS(0): Linear framebuffer at 0xF6000000
(--) CIRRUS(0): Using MMIO
(--) CIRRUS(0): MMIO registers at 0xF4103000
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.2.0
        ABI class: XFree86 Video Driver, version 0.5
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.5
(II) CIRRUS(0): I2C bus "I2C bus 1" initialized.
(II) CIRRUS(0): I2C bus "I2C bus 2" initialized.
(II) CIRRUS(0): I2C device "I2C bus 1:ddc2" registered.
(II) CIRRUS(0): I2C device "I2C bus 1:ddc2" removed.
(II) CIRRUS(0): I2C device "I2C bus 1:ddc2" registered.
(II) CIRRUS(0): I2C device "I2C bus 1:ddc2" removed.
(II) CIRRUS(0): Manufacturer: CPQ  Model: 1333  Serial#: 1110718770
(II) CIRRUS(0): Year: 1998  Week: 51
(II) CIRRUS(0): EDID Version: 1.1
(II) CIRRUS(0): Analog Display Input,  Input Voltage Level: 1.000/0.400 V
(II) CIRRUS(0): Sync:  Composite
(II) CIRRUS(0): Max H-Image Size [cm]: horiz.: 29  vert.: 22
(II) CIRRUS(0): Gamma: 2.13
(II) CIRRUS(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) CIRRUS(0): redX: 0.570 redY: 0.354   greenX: 0.281 greenY: 0.588
(II) CIRRUS(0): blueX: 0.130 blueY: 0.117   whiteX: 0.310 whiteY: 0.346
(II) CIRRUS(0): Supported VESA Video Modes:
(II) CIRRUS(0): 720x400@70Hz
(II) CIRRUS(0): 640x480@60Hz
(II) CIRRUS(0): 640x480@75Hz
(II) CIRRUS(0): 800x600@60Hz
(II) CIRRUS(0): 800x600@75Hz
(II) CIRRUS(0): 832x624@75Hz
(II) CIRRUS(0): 1024x768@60Hz
(II) CIRRUS(0): 1024x768@70Hz
(II) CIRRUS(0): 1024x768@75Hz
(II) CIRRUS(0): Manufacturer's mask: 0
(II) CIRRUS(0): Supported Future Video Modes:
(II) CIRRUS(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) CIRRUS(0): #1: hsize: 800  vsize 600  refresh: 60  vid: 16453
(II) CIRRUS(0): #2: hsize: 800  vsize 600  refresh: 75  vid: 20293
(II) CIRRUS(0): #3: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) CIRRUS(0): #4: hsize: 832  vsize 624  refresh: 75  vid: 20297
(II) CIRRUS(0): #5: hsize: 1024  vsize 768  refresh: 60  vid: 16481
(II) CIRRUS(0): #6: hsize: 1024  vsize 768  refresh: 70  vid: 19041
(II) CIRRUS(0): #7: hsize: 1024  vsize 768  refresh: 75  vid: 20321
(II) CIRRUS(0): Ranges: V min: 57  V max: 85 Hz, H min: 32  H max: 60 kHz, PixCl
(II) CIRRUS(0): Serial No: 851FA34HB492
(II) CIRRUS(0): Monitor name: COMPAQ TFT450
(==) CIRRUS(0): Using gamma correction (1.0, 1.0, 1.0)
(==) CIRRUS(0): Write-combining range (0xf6000000,0x100000)
(--) CIRRUS(0): Memory Config reg 1 is 0x14
(--) CIRRUS(0): Memory Config reg 2 is 0x81
(--) CIRRUS(0): VideoRAM: 2048 kByte
(==) CIRRUS(0): Min pixel clock is 12 MHz
(--) CIRRUS(0): Max pixel clock is 200 MHz
(WW) CIRRUS(0): config file hsync range 31.5-60kHz not within DDC hsync range
32-60kHz
(WW) CIRRUS(0): config file vrefresh range 56.3-85Hz not within DDC vrefresh
range 57-85Hz
(II) CIRRUS(0): Monitor0: Using hsync range of 31.50-60.00 kHz
(II) CIRRUS(0): Monitor0: Using vrefresh range of 56.30-85.00 Hz
(II) CIRRUS(0): Clock range:  12.00 to 200.00 MHz
(II) CIRRUS(0): Not using mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using mode "1400x1050" (insufficient memory for mode)
(II) CIRRUS(0): Not using default mode "320x175" (bad mode
clock/interlace/doublescan)
(--) CIRRUS(0): Virtual size is 1024x768 (pitch 1024)
(**) CIRRUS(0): Default mode "1024x768": 78.8 MHz, 60.1 kHz, 75.1 Hz
(II) CIRRUS(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772
800 +hsync +vsync
(**) CIRRUS(0): Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(II) CIRRUS(0): Modeline "800x600"   56.30  800 832 896 1048  600 601 604 631
+hsync +vsync
(**) CIRRUS(0): Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(II) CIRRUS(0): Modeline "640x480"   36.00  640 696 752 832  480 481 484 509
-hsync -vsync
(--) CIRRUS(0): Display dimensions: (290, 220) mm
(--) CIRRUS(0): DPI set to (89, 88)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.5
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
        [0] 0   0xf4103000 - 0xf4103fff (0x1000) MX[B]
        [1] 0   0xf6000000 - 0xf7ffffff (0x2000000) MX[B]
        [2] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [3] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [4] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [5] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [6] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [7] -1  0xf4000000 - 0xf40fffff (0x100000) MX[B]
        [8] -1  0xf4102000 - 0xf4102fff (0x1000) MX[B]
        [9] -1  0xf8000000 - 0xfbffffff (0x4000000) MX[B]
        [10] -1 0xf4103000 - 0xf4103fff (0x1000) MX[B](B)
        [11] -1 0xf6000000 - 0xf7ffffff (0x2000000) MX[B](B)
        [12] 0  0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
        [13] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
        [14] 0  0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
        [15] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
        [16] -1 0x00000000 - 0x000000ff (0x100) IX[B]
        [17] -1 0x00002840 - 0x0000285f (0x20) IX[B]
        [18] -1 0x00002870 - 0x0000287f (0x10) IX[B]
        [19] -1 0x00002800 - 0x0000283f (0x40) IX[B]
        [20] -1 0x00002400 - 0x000024ff (0x100) IX[B]
        [21] -1 0x00002000 - 0x000020ff (0x100) IX[B]
        [22] -1 0x00002860 - 0x0000286f (0x10) IX[B]
        [23] 0  0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
        [24] 0  0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) CIRRUS(0): Write-combining range (0xf6000000,0x200000)
(II) CIRRUS(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) CIRRUS(0): Using 256 lines for offscreen memory
moutb(3CE, E)
moutb(3CF, 20)
moutl(40, 80)
(II) CIRRUS(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        Solid Horizontal and Vertical Lines
(==) CIRRUS(0): Silken mouse enabled
(**) Option "dpms"
(**) CIRRUS(0): DPMS enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/psaux"
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
minl(40)
moutl(4, 5BB3)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, 2FF07FF)
moutl(10, 0)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
moutl(4, D6BA)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, 502BB)
moutl(10, 922D6)
minl(40)
moutl(8, 17000B)
moutl(10, 952D6)
minl(40)
moutl(8, 17000B)
moutl(10, 95586)
minl(40)
moutl(8, 5002BB)
moutl(10, A12D6)
minl(40)
moutl(8, 150033)
moutl(10, C9AD6)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
moutl(8, 150033)
moutl(10, C9D5E)
minl(40)
moutl(8, 4902BB)
moutl(10, D4AD6)
minl(40)
moutl(4, FFFF)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, 10253)
moutl(10, C9B0A)
minl(40)
minl(40)
minl(40)
minl(40)
moutl(8, 110003)
moutl(10, CAB0A)
minl(40)
moutl(8, 110003)
moutl(10, CAD5A)
minl(40)
moutl(8, 10253)
moutl(10, D3B0A)
minl(40)
moutl(4, FFFF)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, 11024B)
moutl(10, CAB0E)
minl(40)
moutl(4, D6BA)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, 102A3)
moutl(10, 952E2)
minl(40)
moutl(8, 130003)
moutl(10, 962E2)
minl(40)
moutl(8, 13000B)
moutl(10, 96352)
minl(40)
moutl(8, 13000B)
moutl(10, 963E2)
minl(40)
moutl(8, 13000B)
moutl(10, 96452)
minl(40)
moutl(8, 130009)
moutl(10, 9657C)
minl(40)
moutl(8, 102A3)
moutl(10, A02E2)
minl(40)
moutl(4, D6BA)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, 1011D)
moutl(10, 9645E)
minl(40)
moutl(8, F0009)
moutl(10, 9745E)
minl(40)
moutl(8, F0009)
moutl(10, 97572)
minl(40)
moutl(8, 1011D)
moutl(10, 9F45E)
minl(40)
moutl(4, D6BA)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, F0109)
moutl(10, 97468)
minl(40)
moutl(4, D6BA)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, 130063)
moutl(10, 963EE)
minl(40)
moutl(4, D6BA)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, 130083)
moutl(10, 9635E)
minl(40)
moutl(4, D6BA)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, 13006B)
moutl(10, 962E6)
minl(40)
minl(40)
moutl(4, 0)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, D002BF)
moutl(10, 91AD4)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
moutl(4, D6BA)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, 502BB)
moutl(10, 922D6)
minl(40)
moutl(8, 17000B)
moutl(10, 952D6)
minl(40)
moutl(8, 17000B)
moutl(10, 95586)
minl(40)

moutl(8, 5002BB)
moutl(10, A12D6)
minl(40)
moutl(8, 150033)
moutl(10, C9AD6)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
minl(40)
moutl(8, 150033)
moutl(10, C9D5E)
minl(40)
moutl(8, 4902BB)
moutl(10, D4AD6)
minl(40)
moutl(4, FFFF)
moutl(C, 800)
moutl(18, 40D00D0)
minl(40)
moutl(8, 10253)
moutl(10, C9B0A)
minl(40)
minl(40)
minl(40)
minl(40)
moutl(8, 110003)
moutl(10, CAB0A)
minl(40)
moutl(8, 110003)
moutl(10, CAD5A)
minl(40)
moutl(8, 10253)
moutl(10, D3B0A)
minl(40)
moutl(4, FFFF)

And so on and so on..
Comment 1 Havoc Pennington 2002-11-05 14:55:28 EST
X is crashing probably... often the GL (3D) screensavers cause this so you might
try turning those off in Screensaver preferences as a workaround.
Comment 2 Mike A. Harris 2002-11-06 10:35:22 EST
1) Your bug report includes a log file which indicates clearly that it is
not an XFree86 that shipped with Red Hat Linux.  We do not support software
that we did not compile and ship.

2) the lengthy spew of minl()/moutl() debug info, was a bug in the Cirrus
   Logic driver that has been fixed now in Red Hat Linux 8.0, and is due
   to XFree86.org leaving debug info enabled in this driver by accident.
   A future erratum of XFree86 for Red Hat Linux 7.3 will also contain a
   fix for this problem.

If you encounter problems while using XFree86 binaries from XFree86.org
or home built binaries, please report bugs directly to XFree86.org, as
Red Hat did not ship that.

Closing as CURRENTRELEASE (8.0) for the debug issue, but the bug report
would normally have gotten a NOTABUG since you've reported it against
non Red Hat binary software.

If you encounter the problem you describe while using Red Hat Linux 8.0,
please open a new bug report, containing a file attachment of your X
server log, and config file, as file attachments (please do not cut
and paste huge logs or other items into the comment box).
Comment 3 Matt N 2002-11-06 16:45:15 EST
As stated in the origional bug report I was using a vanilla 7.3 release and it
started failing randomly.  As a last resort I tried installing the new X release
hoping that it would fix the problem.  No luck.

So, yes, I committed the heinous sin of using non-redhat binaries, but that
doesn't change the fact that the origional driver was from 7.3 and you still
have a bug for 7.3 and should release a fix for it via up2date.  I cannot update
easily to 8.0.  I'm in Antarctica at the end of a very thin pipe and it would
take weeks to download 8.0.
Comment 4 Havoc Pennington 2002-11-06 17:52:55 EST
(definitely try just disabling the GL/3D screensavers)
Comment 5 Mike A. Harris 2002-11-07 02:45:23 EST
Sorry to hear that you don't have spiffy Internet access.  As I stated however,
the Cirrus logic driver *IS* fixed to remove the debug information spew in
Red Hat Linux 8.0, and as I also stated, this fix *WILL* be made available
as erratum at some point in the future for 7.3 as well.  It will not under
any circumstance be released 10 minutes from now, just because someone
doesn't have a fast internet connection however, so reopening this bug report
which is already fixed and resolved is not going to accelerate anything
happening.  I'm re-closing this bug report as fixed in 8.0, once again
with the stipulation that erratum WILL be released for 7.3 in the future.

Do NOT reopen the bug report.  It will not speed anything up, and infact
just wastes my time.

Note You need to log in before you can comment on or make changes to this bug.